using APT.BaseData.Domain.Entities;
using APT.Infrastructure.Core;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Text;

namespace APT.MS.Domain.Entities.FO
{
    [Description("附件")]
    public class T_FO_TECH_DISCLOSURE_FILE : MesEntityBase
    {
        [Description("技术交底表ID")]
        [DataFieldForeignKey("Nav_TechDisclosure", "Nav_Files")]
        public Guid TECH_DISCLOSURE_FROM_ID { get; set; }

        [Description("导航属性：技术交底表")]
        public virtual T_FO_TECH_DISCLOSURE_FROM Nav_TechDisclosure { get; set; }

        [DataFieldForeignKey("Nav_ImgFile")]
        [Description("附件ID")]
        public Guid IMG_FILE_ID { get; set; }

        [Description("导航：附件文件表")]
        public virtual T_PF_IMG_FILE Nav_ImgFile { get; set; }
    }
}
